predictprotein (1.1.01-1) unstable; urgency=low

  [ Guy Yachdav ]
  * New upstream release: integrated somena(1)

  [ Andreas Tille ]
  * Priority: optional
  * Removed README.source since this it just explains usual practice
  * cme fix dpkg-control
  * correct DEP5 syntax and content of debian/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 02 Apr 2014 21:41:04 +0200

predictprotein (1.0.99-1) UNRELEASED; urgency=low

  * New upstream release: integrated reprof(1)

 -- Guy Yachdav <gyachdav@rostlab.org>  Fri, 28 Mar 2014 02:50:16 +0100

predictprotein (1.0.98) UNRELEASED; urgency=low

  * New upstream release: integrated TMSEG(1)

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 10 Mar 2014 20:43:12 +0100

predictprotein (1.0.97~bpo70+1) UNRELEASED; urgency=low

  * New upstream release: mapped lc3 extensions to method.

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 26 Feb 2014 23:38:17 +0100

predictprotein (1.0.95-1~bpo70+1) UNRELEASED; urgency=low

  * New upstream release: upgraded to loctree3 (lc3)

 -- Guy Yachdav <gyachdav@rostlab.org>  Tue, 11 Feb 2014 20:47:22 +0100

predictprotein (1.0.94-1) unstable; urgency=low

  * New upstream release: fixes "FTBFS: POD errors" (Closes: #724122).

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 30 Sep 2013 21:07:08 +0200

predictprotein (1.0.92-1~bpo70+1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 10 Jun 2013 20:08:19 +0200

predictprotein (1.0.90-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Thu, 24 Jan 2013 16:20:44 +0100

predictprotein (1.0.88-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 05 Dec 2012 14:57:26 +0100

predictprotein (1.0.87-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 19 Sep 2012 17:54:23 +0200

predictprotein (1.0.86-1) unstable; urgency=low

  * Initial release (Closes: #680610)
  * profdisis now runs in succinct mode

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 13 Aug 2012 17:38:28 +0200

predictprotein (1.0.80-1) UNRELEASED; urgency=low

  * Removed profglobe.
  * Fixed lowcompseg-renamed-to-ncbi-seg issue.

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 06 Jul 2012 14:25:47 +0200

predictprotein (1.0.79-1) UNRELEASED; urgency=low

  * reprof integration moved to its own branch while experimental.
  * metadisorder a Suggests: because it is non-redistributable for all.
  * Removing disis Suggests per Burkhard's request: we do not trust the
    method any more, Yanay had some funny results with the packaged version.
  * Cleaned up Suggests.
  * Depends on ncbi-seg now (the new name for lowcompseg).

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 06 Jul 2012 11:40:43 +0200

predictprotein (1.0.78) unstable; urgency=low

  * Added --print-ext-method-map cmd line argument.
  * Removed unnecessary libnhgri-blastall-perl dependency.
  * profcon is no longer a dependency of any sort.
  * hmm3pfam is now a default target. Promoted Suggests: of hmmer to Depends:.
  * disis back to Suggests and an optional target because of svm-light5 dependency that can not make it into Debian (non-redistributable).

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 19 Jun 2012 11:24:31 +0200

predictprotein (1.0.77) unstable; urgency=low

  * [Laszlo Kajan <lkajan@rostlab.org>]
    Demoting pp-cache-mgr dependency to Suggests - as this pack is not
    necessary for the default configuration and should not be pulled in
    automatically because of 'Recommends'.

  * [Guy Yachdav <gyachdav@rostlab.org>]
    Added reprof in alpha mode

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 4 Jun 2012 21:03:15 +0200
 
predictprotein (1.0.76) unstable; urgency=low

  * Depends on profdisis

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 21 Feb 2012 14:06:07 +0100

predictprotein (1.0.75) unstable; urgency=low

  * profdisis target now in 'all' as svm-light5 is now redistributable by us

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 21 Feb 2012 13:29:31 +0100

predictprotein (1.0.74) unstable; urgency=low

  * fixed proftmb Makefile rule bug

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 17 Feb 2012 17:12:45 +0100

predictprotein (1.0.73) unstable; urgency=low

  * Reconfigure to work with HHomp-compatible (newer) proftmb.

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 17 Feb 2012 16:03:47 +0100

predictprotein (1.0.72) unstable; urgency=low

  * Changed section to non-free/science.
  * Updated manpage.

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 17 Dec 2011 02:27:11 +0100

predictprotein (1.0.71) unstable; urgency=low

  * output dir for examples now /tmp/pp

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 15 Dec 2011 22:10:11 +0100

predictprotein (1.0.70) unstable; urgency=low

  * removed profchop dependency as we never actually called it

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 15 Dec 2011 22:09:07 +0100

predictprotein (1.0.69) unstable; urgency=low

  * hmm3pfam moved to be an optional target because Bio-Linux dependencies
    can not handle the upgrade to version 3 of it

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 15 Dec 2011 21:47:21 +0100

predictprotein (1.0.68) unstable; urgency=low

  * conflicts with coiledcoils

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 27 Oct 2011 20:24:16 +0200

predictprotein (1.0.67) unstable; urgency=low

  * dep now on ncoils as a replacement of coiledcoils

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 22 Oct 2011 11:18:12 +0200

predictprotein (1.0.66) unstable; urgency=low

  * the error.log generated by occational blast in psic is now handled

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 21 Oct 2011 13:12:47 +0200

predictprotein (1.0.65) unstable; urgency=low

  * --prosite-dat to give loctree the prosite.dat database path

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 21 Oct 2011 12:07:18 +0200

predictprotein (1.0.64) unstable; urgency=low

  * exposed new loctree cmd line arg for Swiss-Prot keyword-to-accession
    'index'

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 18 Oct 2011 16:58:36 +0200

predictprotein (1.0.63) unstable; urgency=low

  * updated cache_merge logic: now no merging occurs when the cache is empty
  * fixed DESTDIR vulnerability due to lack of quoting in Makefile - DESTDIR
    now accepts all valid paths

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 19 Sep 2011 17:57:01 +0200

predictprotein (1.0.62) unstable; urgency=low

  * Merging, when --target is used, is now default only when there already
    is something in the cache.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 19 Sep 2011 17:55:26 +0200

predictprotein (1.0.61) unstable; urgency=low

  * fixed --output-dir bug when it is not a fully qualified path

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 15 Sep 2011 15:44:48 +0200

predictprotein (1.0.60) unstable; urgency=low

  * fixed --target switching on cache merging when nouse-cache is given
  * added ~/.predictproteinrc to the conf file list

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 28 Jun 2011 17:42:29 +0200

predictprotein (1.0.59) unstable; urgency=low

  * removed >> 8 from $? error reporting in predictprotein

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 03 Jun 2011 14:13:55 +0200

predictprotein (1.0.58) unstable; urgency=low

  * added code to recover STDERR of blast calls and disulfinder in case
    of failure even if not in debug mode

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 20 May 2011 22:13:21 +0200

predictprotein (1.0.57) unstable; urgency=low

  * fixed exit 255 bug

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 18 May 2011 22:35:50 +0200

predictprotein (1.0.56) unstable; urgency=low

  * more rigorous cleaning up after ppc_lock

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 18 May 2011 14:05:32 +0200

predictprotein (1.0.55) unstable; urgency=low

  * blastall error.log is now automatically removed

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 15 May 2011 20:16:02 +0200

predictprotein (1.0.54) unstable; urgency=low

  * clustalw results from psic are now retained in cache - gzipped
  * switch make to workdir with -C now - this makes targets like query.asp
    work
  * --cache-merge cache merging implemented, this is now ON by default
    in case use_cache is in effect

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 05 May 2011 21:49:16 +0200

predictprotein (1.0.53) unstable; urgency=low

  * .hssp80 is removed from light_cache list because Esmeralda needs it

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Apr 2011 18:24:11 +0200

predictprotein (1.0.52) unstable; urgency=low

  * Added light_cache config file value to control caching of big and rarely
    needed files. With light_cache set to 1 .safBlastPsi .safBlastPsi80 .hssp
    and .hssp80 are not stored into the cache

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 15 Apr 2011 14:17:24 +0200

predictprotein (1.0.51) unstable; urgency=low

  * now uses runNewPSIC.pl from the rost-runpsic package

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 12 Apr 2011 12:33:33 +0200

predictprotein (1.0.50) unstable; urgency=low

  * added --makedebug cmd line argument to trigger --debug of make

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 11 Mar 2011 15:37:14 +0100

predictprotein (1.0.49) unstable; urgency=low

  * proper license presentation in debconf

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 09 Mar 2011 11:41:26 +0100

predictprotein (1.0.48) unstable; urgency=low

  * added debconf check for non-profitness
  * changed license to academi ala ppmi license

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 09 Mar 2011 10:53:44 +0100

predictprotein (1.0.47) unstable; urgency=low

  * >& now correctly

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 02 Mar 2011 13:08:31 +0100

predictprotein (1.0.46) unstable; urgency=low

  * dash compatible shell syntax

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 02 Mar 2011 10:37:40 +0100

predictprotein (1.0.45) stable; urgency=low

  * message when pp-popcon is not installed

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 28 Feb 2011 17:56:33 +0100

predictprotein (1.0.44) stable; urgency=low

  * pp man page mentions popularity contest
  * in popularity contest
  * coils-wrap.pl now uses proper tmp dir
  * removed prodom but kept cmd line arg for compatibility

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 18 Feb 2011 13:27:52 +0100

predictprotein (1.0.43) stable; urgency=low

  * pp-cache-mgr is only recommended now, not a dep; loctree and tmhmm are suggests

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 27 Jan 2011 23:40:18 +0100

predictprotein (1.0.42) stable; urgency=low

  * added predictnls dependency

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 27 Jan 2011 16:35:13 +0100

predictprotein (1.0.41) stable; urgency=low

  * silenced disulfinder
  * psic now runs with blastpgp results on big80: .blastPsiOutTmp

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 21 Jan 2011 16:32:52 +0100

predictprotein (1.0.40) stable; urgency=low

  * psicexe default changed to /usr/share/librg-utils-perl/runNewPSIC.pl
  * no more snapfun dependency
  * added 'make', 'perl' dependency

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 19 Jan 2011 17:12:42 +0100

predictprotein (1.0.39) stable; urgency=low

  * --cpu 4 corrected on hmmscan

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 17 Jan 2011 23:36:54 +0100

predictprotein (1.0.38) stable; urgency=low

  * made loctree recommended 'cause it depends on the non-redistributable
    SignalP
  * extended debian/control with paragraphs about tmhmm and loctree
  * took tmhmm and loctree out of the default target all:, these are now
    in the optional: target
  * new config file option: default_targets to control targets made
    when none is given on the cmd line

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 17 Jan 2011 17:58:02 +0100

predictprotein (1.0.37) stable; urgency=low

  * made tmhmm a suggested package and not a dependency

 -- Guy Yachdav <gyachdav@rostlab.org>  Sun, 16 Jan 2011 16:59:06 +0100

predictprotein (1.0.36) stable; urgency=low

  * tidied up MakefilePP.mk: changed references to profnors to norsp

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 04 Jan 2011 11:08:05 +0100

predictprotein (1.0.35) stable; urgency=low

  * switched from included norsp scripts to independent package  

 -- Guy Yachdav <gyachdav@rostlab.org>  Thu, 23 Dec 2010 15:35:21 +0100

predictprotein (1.0.34) stable; urgency=low

  * norsnet now on disorder target
  * ...

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Dec 2010 15:34:32 +0100

predictprotein (1.0.33) stable; urgency=low

  * all blasts now 2>/dev/null if not debug

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 19 Oct 2010 14:38:04 +0200

predictprotein (1.0.32) stable; urgency=low

  * --numresmax: maximum sequence length allowed
    I think convert_seq fails for a seq over 19000.
    Marco's swissprot analysis:
    TOTAL NUMBER OF SEQUENCES =  12,265,120
    0-1000   11,962,876      0.975
    1000-2000       261,633   0.021
    2000-3000       25,677   0.002
    3000-4000       9,944     0
    4000-5000       2,735     0
    5000-6000       1,060     0
    6000-7000       428     0
    7000-8000       366     0
    8000-9000       164     0
    9000-10000       65       0
    >10000         171     0

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 19 Oct 2010 14:38:04 +0200

predictprotein (1.0.31) stable; urgency=low

  * --profnumresmin: minimum sequence length required by prof. Sequences
    shorter than this will make predictprotein fail with 254
    This value is 17 by default, configurable from the cmd line or config
    file.

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 14 Oct 2010 16:43:48 +0200

predictprotein (1.0.30) stable; urgency=low

  * silenced warnings of %.blastpSwissM8 blastall call (e.g.
    'Selenocysteine (U) at position 59 replaced by X')

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 14 Oct 2010 09:28:27 +0200

predictprotein (1.0.29) stable; urgency=low

  * MakefilePP now properly defined rules producing multiple targets -
    now ready for -j >1 runs

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 13 Oct 2010 18:39:59 +0200

predictprotein (1.0.28) stable; urgency=low

  * psic call with --quiet

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 12 Oct 2010 17:31:17 +0200

predictprotein (1.0.27) stable; urgency=low

  * added configuration options for pfam databases

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 11 Oct 2010 14:17:13 +0200

predictprotein (1.0.26) stable; urgency=low

  * added required version to hmmer dep

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 09 Oct 2010 14:11:34 +0200

predictprotein (1.0.25) stable; urgency=low

  * added missing dependencies

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 09 Oct 2010 14:01:48 +0200

predictprotein (1.0.24) stable; urgency=low

  * fixed tmhmm work dir issue - not current dir but tmp dir now

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 08 Oct 2010 23:31:44 +0200

predictprotein (1.0.23) stable; urgency=low

  * added psic from snap
  * added loctree with all 3 organism 'types'
  * added hmmer2 and 3
  * added prof runs on fasta sequence only (no alignment)
  * added tmhmm

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 08 Oct 2010 13:59:43 +0200

predictprotein (1.0.22) stable; urgency=low

  * Sequence now converted to upper case before fed into pipeline
  * Copf now explicitely told to expect FASTA format input file (where
    appropriate)

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 20 Sep 2010 17:13:20 +0200

predictprotein (1.0.21) stable; urgency=low

  * Makefile.am now correctly modifies predictprotein with version number
  * Debian native now
  * Unfortunate dependency on discontinued librg-pp-cachemgr-perl removed

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 17 Sep 2010 15:11:28 +0200

predictprotein (1.0.20)

  * Silenced 'wrong parsin htm file??\nctHtm=$ctHtm'
  * Corrected some grammar issues
  * Reorganized predictprotein - only for more logical code, no change in what it does

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 16 Aug 2010 21:25:17 +0200

predictprotein (1.0.19)

  * Introduced config file and cmd line params to control: bigblastdb
    big80blastdb swissblastdb prodomblastdb prositeconvdat

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 16 Aug 2010 19:05:18 +0200

predictprotein (1.0.18)

  * silenced nors.pl
  * MD make rules according to Avner's original runMD.pl are now included but are not used

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 12 Aug 2010 20:30:57 +0200

predictprotein (1.0.17)

  * file restore logic moved to cache module

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Jul 2010 13:23:00 +0200

predictprotein (1.0.16)

  * redirecting standard output of make of methods to /dev/null if not --debug

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Jul 2010 13:23:00 +0200

predictprotein (1.0.15)

  * fixed filter_blastp_big.pl e-179 error

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Jul 2010 13:23:00 +0200

predictprotein (1.0.14)

  * fixed syntax error

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Jul 2010 13:23:00 +0200

predictprotein (1.0.13)

  * Another example on man page
  * predictprotein works with cache now

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 23 Jul 2010 13:23:00 +0200

predictprotein (1.0.12)

  * New examples

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 22 Jul 2010 09:35:05 +0200

predictprotein (1.0.11)

  * filter_blastp_big.pl -> helper apps

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Jul 2010 21:53:30 +0200

predictprotein (1.0.10)

  * Helper apps now installed as scripts

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Jul 2010 21:53:30 +0200

predictprotein (1.0.9)

  * predictnls params now correctly given (were paths for fileSummary and fileTrace, boolean is expected)

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Jul 2010 21:53:30 +0200

predictprotein (1.0.8)

  * Man pages

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Jul 2010 21:53:30 +0200

predictprotein (1.0.7)

  * System now compatible with cmd line interface of the cache manager and queue manager

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 21 Jul 2010 21:53:30 +0200

predictprotein (1.0.6)

  * Paths for prof, proftmb are now resolved through the config file
  * Added more version information about the package
  * Man page had an incorrect example

 -- Guy Yachdav <gyachdav@rostlab.org>  Sun, 18 Jul 2010 12:56:19 +0200
	
predictprotein (1.0.1)

  * Bug Fixes
  * No longer relies on RG:PP
  * Runs profdisis
  * Creates files into output folder and not one concatenated file

 -- Guy Yachdav <gyachdav@rostlab.org>  Sat, 17 Jul 2010 14:37:05 +0200
	
predictprotein (1.0.0)

  * Initial packaged version

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 28 Apr 2010 15:33:11 +0200
